<?
session_start();
include("../opendb.php");
include("../test.php");
session_register("orderno1");
$orderno1=$ordno;
?>
<script> 
 parent.main22.document.location='Epurtempdeclare.php'
</script>

<BASE TARGET=main22>
<link rel="stylesheet" href="../style.css" type="text/css" />
<style>
	tr{background-color:white}
	th{background-color:steelblue;color:white}
</style>
<script>
var pna=[];
var hand=[];
var price=[];
var disc=[];
function getname()
{
 if(document.f1.partcode.selectedIndex<=0)
 {
 document.f1.prtname.value="";
 document.f1.price.value="";
 document.f1.discount.value="";
 document.f1.hand.value="";
 }
 else{
 document.f1.prtname.value=pna[document.f1.partcode.selectedIndex];
 document.f1.price.value=price[document.f1.partcode.selectedIndex];
 document.f1.discount.value=disc[document.f1.partcode.selectedIndex];
 document.f1.hand.value=hand[document.f1.partcode.selectedIndex];
 var act=parseFloat(document.f1.price.value)*parseFloat(document.f1.qty.value);
 var act1=act*parseFloat(document.f1.discount.value)/100;
 document.f1.aprice.value=parseFloat(act-act1).toFixed(2);
 var act2=parseFloat(document.f1.aprice.value);
  var hnd=parseFloat(act2)*document.f1.hand.value/100;
  var cst=parseFloat(act2)*document.f1.cst.value/100;
  var gtot=parseFloat(act2+cst+hnd).toFixed(2);
  document.f1.tot.value=gtot;
 }
}
function valid()
{
 if(document.f1.partcode.selectedIndex<=0)
 {
  alert('Invalid Item code');
  return false;
 }
/*
var x=document.getElementById("mselect")
 document.f1.partcode1.value=x.options[x.selectedIndex].text
x.remove(x.selectedIndex)
*/
}
</script>
<body bgcolor='ivory'>
<center>
<form name='f1' action='Epurtempdeclare.php' onSubmit='return valid()'>
<input type=hidden name='partcode1'>
<table>
<th colspan=10><h3>EDIT ITEM DECLARATION (Order:<?print $ordno?>)</h3></th>
<tr>
<td>Part Code</td><td><select name='partcode' id='mselect' onChange=getname();><option></option>
<?
$i=1;
$re=mysqli_query($db,"select * from partmaster ");
while($row=mysqli_fetch_array($re))
{
 print "<option value='$row[0]'>$row[0]</option>";
 print "\n<script> pna[$i]='$row[partname]'; hand[$i]='$row[hand_charge]';</script>";
  $disres=mysqli_query($db,"select lstprice,discount from spareprmast where partcode='$row[0]' order by effectfrom desc");
   $disrow=mysqli_fetch_array($disres);
 print "<script>price[$i]='$disrow[0]'; disc[$i]='$disrow[1]'; </script>";
 $i++;
}
?>
</select></td><td>Part Name </td><td COLSPAN=3><input type=text readonly  name='prtname' size=30></td></tr>
<tr><td>Qty</td><td><input type=text name='qty' size=3 value='1'></td>
  <td>Price </td><td><input type=text readonly name='price' size=10></td>
  <td>Discount% </td><td><input type=text  readonly name='discount' size=6> 
   Act Price <input type=text name='aprice' size=10>
</td></tr>
<tr><td>Hand Chrg%</td><td><input type=text readonly  name='hand' size=6></td>
<?
 $cstres=mysqli_query($db,"select tax from taxmaster where type='cst'");
  $cstrow=mysqli_fetch_row($cstres);
?>
<td>CST%</td><td><input type=text name='cst'  readonly size=6 value='<?print $cstrow[0]?>'></td>
<td>Total</td><td><input type=text name='tot' readonly  size=16></td></tr>
<tr><td colspan=6 align=center bgcolor='steelblue'><input type=submit value='Add' name='add'></td></tr>
</table>
</form>
